Bug 205284 - mail/mutt: Extraneous prefix in folder names when _folderindent enabled
Summary: mail/mutt: Extraneous prefix in folder names when _folderindent enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch, patch-ready
Depends on:
Blocks: 206220
  Show dependency treegraph
 
Reported: 2015-12-13 10:42 UTC by Zsolt Udvari
Modified: 2016-01-28 08:42 UTC (History)
3 users (show)

See Also:
Udo.Schweigert: maintainer-feedback+


Attachments
patch (226.27 KB, patch)
2015-12-22 07:19 UTC, Udo.Schweigert
Udo.Schweigert: maintainer-approval+
Details | Diff
The new file files/extra-patch-sidebar (67.64 KB, patch)
2015-12-24 09:49 UTC, Udo.Schweigert
no flags Details | Diff
The new file files/extra-patch-sidebar-nntp (66.11 KB, patch)
2015-12-24 09:49 UTC, Udo.Schweigert
no flags Details | Diff
The new file files/extra-patch-sidebar-refresh (3.13 KB, patch)
2015-12-24 09:50 UTC, Udo.Schweigert
no flags Details | Diff
patch (138.31 KB, patch)
2016-01-24 19:47 UTC, Udo.Schweigert
Udo.Schweigert: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2015-12-13 10:42:24 UTC
There is newer sidebar patch available ( http://lunar-linux.org/~tchan/mutt/patch-1.5.24.sidebar.20151111.txt ).

With current patch the sidebar has a bug: if sidebar_folderindent is enabled the indented folders has a prefix 'com:993' (with gmail, /bsd/ports displayed as com:993/bsd/ports). I hope the newest (and correct) patch will fix it.
Comment 1 Udo.Schweigert 2015-12-17 07:02:34 UTC
I'm working together with the reporter on a solution. The mentioned patch at lunar-linux.org does NOT solve the problem, but we made good progress. I will provide a patch soon. Please stay tuned.
Comment 2 Udo.Schweigert 2015-12-22 07:19:03 UTC
Created attachment 164485 [details]
patch
Comment 3 Udo.Schweigert 2015-12-22 07:24:05 UTC
The attached patch solves the reported problem and update to the most recent version of the sidebar patch.
Comment 4 Zsolt Udvari 2015-12-22 07:44:53 UTC
Thank you!
Comment 5 VK freebsd_triage 2015-12-24 00:54:57 UTC
Udo,

thanks for the patch, but it's missing updates to the Makefile. Since it brings new code, that's a bump to PORTREVISION at least. Is it also an update to the latest version of mutt?
Comment 6 Udo.Schweigert 2015-12-24 06:44:55 UTC
The patch does not add new functions therfore I didn't bump the PORTREVISION as it only fixes a bug which does affect not many users. A new version of mutt has not been released.
Comment 7 Martin Wilke freebsd_committer 2015-12-24 08:41:32 UTC
Hi

I think the patch have problem,

Patching file files/extra-patch-sidebar-nntp.rej.orig using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:


Can you please check.
Comment 8 Udo.Schweigert 2015-12-24 09:49:09 UTC
Created attachment 164585 [details]
The new file files/extra-patch-sidebar
Comment 9 Udo.Schweigert 2015-12-24 09:49:44 UTC
Created attachment 164586 [details]
The new file files/extra-patch-sidebar-nntp
Comment 10 Udo.Schweigert 2015-12-24 09:50:12 UTC
Created attachment 164587 [details]
The new file files/extra-patch-sidebar-refresh
Comment 11 VK freebsd_triage 2015-12-24 09:55:49 UTC
(In reply to Udo.Schweigert from comment #6)

Fixing a bug is one of the reasons for bumping PORTREVISION. :)  Please consult section 5.2.2.1 of the Porter's handbook:

https://www.freebsd.org/doc/en/books/porters-handbook/makefile-naming.html
Comment 12 Martin Wilke freebsd_committer 2015-12-24 09:58:28 UTC
Hi,

I agree with Vladimir, we have to bump the PORTREVISION here to notify users where have sidebar enabled in there installations. No new patch needed, I'll do it.
Comment 13 VK freebsd_triage 2015-12-24 10:04:57 UTC
Please mark future uploads/attachments properly, eg. if they're patches please check them as "Patch" on upload, that makes them nicely visible through the bug report page otherwise these required download as undefined binary files. :)
Comment 14 Udo.Schweigert 2016-01-24 19:47:56 UTC
Created attachment 166074 [details]
patch

To get it finally done: again the necessary changes in one patch, including version bump.
Comment 15 Kurt Jaeger freebsd_committer 2016-01-28 06:20:48 UTC
testbuilds@work
Comment 16 Kurt Jaeger freebsd_committer 2016-01-28 06:25:33 UTC
testbuilds OK on 11a, 10.2a+i, 9.3a.
Comment 17 commit-hook freebsd_committer 2016-01-28 08:42:07 UTC
A commit references this bug:

Author: pi
Date: Thu Jan 28 08:41:56 UTC 2016
New revision: 407401
URL: https://svnweb.freebsd.org/changeset/ports/407401

Log:
  mail/mutt: update sidebar patch

  PR:		205284
  Reported by:	Zsolt Udvari <udvzsolt@gmail.com>
  Approved by:	Udo Schweigert <Udo.Schweigert@siemens.com> (maintainer)

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/files/extra-patch-sidebar
  head/mail/mutt/files/extra-patch-sidebar-nntp
  head/mail/mutt/files/extra-patch-sidebar-refresh
Comment 18 Kurt Jaeger freebsd_committer 2016-01-28 08:42:41 UTC
Committed, thanks!